Bug 648882 - (CVE-2010-3868) CVE-2010-3868 Certificate System: unauthenticated user can request SCEP one-time PIN decryption
CVE-2010-3868 Certificate System: unauthenticated user can request SCEP one-t...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20081110,pub...
: Security
Depends On: 471318 609327 609328 621350
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 08:33 EDT by Tomas Hoger
Modified: 2010-11-09 08:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-09 02:58:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-11-02 08:33:49 EDT
Red Hat / Dogtag Certificate System's Certificate Authority can be asked to decrypt one-time PIN used in the SCEP (Simple Certificate Enrollment Protocol) protocol requests.  This feature is intended to be used by Registration Authorities that act as proxies between CA users (e.g. network devices enrolling using SCEP protocol) and CA itself.  However, Red Hat Certificate System lacked proper authentication mechanisms to ensure such decryption requests are only replied if sent form the configured Registration Authority.  An attacker able to sniff SCEP request of the network could use this flaw to request decryption of the sniffed request and obtain one-time PIN.

Red Hat Certificate System updates add proper authentication, only configured authenticated Registration Authorities can request SCEP one-time PIN decryption.
Comment 1 errata-xmlrpc 2010-11-08 15:06:56 EST
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0837 https://rhn.redhat.com/errata/RHSA-2010-0837.html
Comment 2 errata-xmlrpc 2010-11-08 15:12:22 EST
This issue has been addressed in following products:

  Red Hat Certificate System 8

Via RHSA-2010:0838 https://rhn.redhat.com/errata/RHSA-2010-0838.html
Comment 3 Tomas Hoger 2010-11-09 08:46:18 EST
https://fedorahosted.org/pki/changeset/1261

Note You need to log in before you can comment on or make changes to this bug.